Bug 1698845 - osinfo-detect needs gvfs
Summary: osinfo-detect needs gvfs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libosinfo
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Berrangé
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-11 11:05 UTC by Martin Pitt
Modified: 2019-04-30 02:27 UTC (History)
5 users (show)

Fixed In Version: libosinfo-1.4.0-3.fc30 libosinfo-1.2.0-7.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-27 21:24:57 UTC


Attachments (Terms of Use)

Description Martin Pitt 2019-04-11 11:05:17 UTC
Description of problem: On a server without desktop-y stuff installed, osinfo-detect does not work:

# osinfo-detect https://ftp.fau.de/fedora/linux/releases/29/Server/x86_64/os/images/boot.iso
Error parsing media: Failed to open fileOperation not supported

It starts working once installing gvfs. However, this drags in a lot of stuff which doesn't really belong on a server, and isn't required for gvfs to work:

Installing:
 gvfs                                           x86_64                          1.38.1-2.fc29                               updates                          315 k
Installing dependencies:
 adwaita-cursor-theme                           noarch                          3.30.1-1.fc29                               updates                          644 k
 adwaita-icon-theme                             noarch                          3.30.1-1.fc29                               updates                           11 M
 colord-libs                                    x86_64                          1.4.4-1.fc29                                updates                          208 k
 gcr                                            x86_64                          3.28.1-1.fc29                               updates                          667 k
 gdk-pixbuf2-modules                            x86_64                          2.38.1-1.fc29                               updates                           86 k
 gtk-update-icon-cache                          x86_64                          3.24.1-3.fc29                               updates                           31 k
 gtk3                                           x86_64                          3.24.1-3.fc29                               updates                          4.5 M
 gvfs-client                                    x86_64                          1.38.1-2.fc29                               updates                          744 k
 jbigkit-libs                                   x86_64                          2.1-15.fc29                                 updates                           49 k
 libtiff                                        x86_64                          4.0.10-4.fc29                               updates                          166 k
 pango                                          x86_64                          1.42.4-2.fc29                               updates                          258 k
 at-spi2-atk                                    x86_64                          2.30.0-1.fc29                               fedora                            77 k
 at-spi2-core                                   x86_64                          2.30.0-2.fc29                               fedora                           155 k
 atk                                            x86_64                          2.30.0-1.fc29                               fedora                           257 k
 avahi-glib                                     x86_64                          0.7-16.fc29                                 fedora                            13 k
 desktop-file-utils                             x86_64                          0.23-9.fc29                                 fedora                            70 k
 fribidi                                        x86_64                          1.0.5-1.fc29                                fedora                            82 k
 graphite2                                      x86_64                          1.3.10-6.fc29                               fedora                           108 k
 harfbuzz                                       x86_64                          1.8.7-1.fc29                                fedora                           333 k
 hicolor-icon-theme                             noarch                          0.17-3.fc29                                 fedora                            44 k
 jasper-libs                                    x86_64                          2.0.14-7.fc29                               fedora                           160 k
 lcms2                                          x86_64                          2.9-4.fc29                                  fedora                           150 k
 libXcomposite                                  x86_64                          0.4.4-15.fc29                               fedora                            22 k
 libXcursor                                     x86_64                          1.1.15-4.fc29                               fedora                            29 k
 libXdamage                                     x86_64                          1.1.4-15.fc29                               fedora                            21 k
 libXfixes                                      x86_64                          5.0.3-8.fc29                                fedora                            18 k
 libXft                                         x86_64                          2.3.2-11.fc29                               fedora                            59 k
 libXi                                          x86_64                          1.7.9-8.fc29                                fedora                            38 k
 libXinerama                                    x86_64                          1.1.4-2.fc29                                fedora                            14 k
 libXrandr                                      x86_64                          1.5.1-8.fc29                                fedora                            26 k
 libXtst                                        x86_64                          1.2.3-8.fc29                                fedora                            20 k
 libbluray                                      x86_64                          1.0.2-4.fc29                                fedora                           156 k
 libcdio                                        x86_64                          2.0.0-3.fc29                                fedora                           248 k
 libcdio-paranoia                               x86_64                          10.2+0.94+2-4.fc29                          fedora                            89 k
 libdatrie                                      x86_64                          0.2.9-8.fc29                                fedora                            31 k
 libepoxy                                       x86_64                          1.5.3-1.fc29                                fedora                           197 k
 libgusb                                        x86_64                          0.3.0-2.fc29                                fedora                            45 k
 libthai                                        x86_64                          0.1.28-1.fc29                               fedora                           199 k
 libwayland-client                              x86_64                          1.16.0-1.fc29                               fedora                            31 k
 libwayland-cursor                              x86_64                          1.16.0-1.fc29                               fedora                            19 k
 libwayland-egl                                 x86_64                          1.16.0-1.fc29                               fedora                            13 k
 rest                                           x86_64                          0.8.1-4.fc29                                fedora                            65 k
Installing weak dependencies:
 dconf                                          x86_64                          0.30.1-1.fc29                               updates                           93 k

Transaction Summary
===================================================================================================================================================================
Install  44 Packages

Total download size: 22 M
Installed size: 60 M

I filed bug 1698842 about the excessive dependency, they are mostly due to dragging in gtk3.

On the libosinfo side, it either needs to declare a dependency on gvfs, or stop using the http gio file system and just download files via URLs. (Note that glib-networking is fine, it doesn't need gvfs and doesn't have unreasonable dependencies).


Version-Release number of selected component (if applicable):

libosinfo-1.2.0-5.fc29.x86_64

Comment 1 Martin Pitt 2019-04-11 14:37:57 UTC
FWIW, it appears that both --type=media and --type=tree just load ONE url with a well-known name (.treeinfo or the .iso itself). Neither of this needs the full gvfs API, this could just be done at least as easily with a direct URL retrieval? gvfs makes sense if you need to read and iterate through remote directory listings and such, but it appears that isn't being done?

But anyway, with fidencio's work with reducing gvfs' dependencies (which is useful no matter what), this is not a big issue.

Comment 2 Daniel Berrangé 2019-04-11 14:42:18 UTC
(In reply to Martin Pitt from comment #1)
> FWIW, it appears that both --type=media and --type=tree just load ONE url
> with a well-known name (.treeinfo or the .iso itself). Neither of this needs
> the full gvfs API, this could just be done at least as easily with a direct
> URL retrieval? gvfs makes sense if you need to read and iterate through
> remote directory listings and such, but it appears that isn't being done?

Directory listing is just one feature in gvfs and not the most important. The key benefit of gvfs is that it allows applications to be completely agnostic to the URI format, and have a standard, well tested impl to use. Before gvfs every application would have to implement its own URI handling & inevitably every app supported a different subset of URIs, and there were different bugs spread across every apps usage of curl & equivalent libraries. Going back to using libraries like curl directory would be a big step backwards over using gvfs.

Comment 3 Fedora Update System 2019-04-15 14:23:39 UTC
libosinfo-1.4.0-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-da01a7644b

Comment 4 Fedora Update System 2019-04-15 14:35:22 UTC
libosinfo-1.2.0-7.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0337a2a848

Comment 5 Fedora Update System 2019-04-16 01:35:30 UTC
libosinfo-1.4.0-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-da01a7644b

Comment 6 Fedora Update System 2019-04-16 04:34:45 UTC
libosinfo-1.2.0-7.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0337a2a848

Comment 7 dac.override 2019-04-17 11:53:26 UTC
So long story short (for me) if i want virt-manager then i will have to accept gvfs and gvfs-client.

Comment 8 Fedora Update System 2019-04-27 21:24:57 UTC
libosinfo-1.4.0-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-04-30 02:27:27 UTC
libosinfo-1.2.0-7.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.